[21.04 FEAT] KVM: Add libvirt node device driver support for DASD

Bug #1904701 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
libvirt (Ubuntu)
Fix Released
Undecided
Canonical Server Team

Bug Description

The libvirt node device driver is currently not allowing to identify a CCW device as a DASD. This means that clients wanting to pass through DASD using vfio-ccw have to use alternative ways to enumerate and identify DASDs in the host system (zdev, sysfs, ...), which is cumbersome for a remotely managed system.

Feature will be available with libvirt 6.9

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-189302 severity-high targetmilestone-inin2104
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → libvirt (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

It's likely that libvirt 6.9 will be picked for 21.04.

tags: added: libvirt-21.04
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in libvirt (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Server Team (canonical-server)
Revision history for this message
Frank Heimes (fheimes) wrote :

Since libvirt 6.9 landed in hirsute:
libvirt0 | 6.9.0-1ubuntu4 | hirsute | s390x
I'm closing this ticket as Fix Released.

Changed in libvirt (Ubuntu):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-02-04 07:14 EDT-------
IBM Bugzilla status->closed; Fix Released for hirsuite

Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers